Skip to main content
GET
/
agent-sessions
/
{session_id}
/
stream
Stream session events
import requests

url = "https://app.ubik-agent.com/api/v1/agent-sessions/{session_id}/stream"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://app.ubik-agent.com/api/v1/agent-sessions/{session_id}/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request GET \
--url https://app.ubik-agent.com/api/v1/agent-sessions/{session_id}/stream \
--header 'X-API-KEY: <api-key>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

X-API-KEY
string
header
required

Headers

X-End-User-ID
string | null

Path Parameters

session_id
string<uuid>
required

Query Parameters

token
string | null

Short-lived JWT token for authentication (alternative to header).

task_id
string | null

The ID of the task to stream. If omitted, streams the current or most recent task.

include_chunks
boolean
default:true

Whether to include partial content chunks in the stream.

Response

Successful Response